Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
triggers
List Triggers
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/triggers/ \
  --header 'Authorization: Bearer <token>'
{
  "triggers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "trigger_type": "scheduled",
      "status": "active",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "message": "<string>",
      "cron_expression": "<string>",
      "timezone": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "webhook_url": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Query Parameters

trigger_type
enum<string> | null
Available options:
scheduled,
webhook
limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

triggers
TriggerWithUrlResponse · object[]
required
total
integer
required